Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
MimeEntity Class Reference

Represent a MIME entity. More...

`#include <mimeentity.h>`

Inheritance diagram for MimeEntity:

## Public Member Functions

| MimeEntity ()
template<typename Iterator>
| MimeEntity (Iterator beg, Iterator end, int mask=imNone)
| MimeEntity (std::istream &)
template<typename OutputIt>
size_type | copy (OutputIt out)
Header & | header ()
const Header & | header () const
Body & | body ()
const Body & | body () const
template<typename Iterator>
void | load (Iterator, Iterator, int mask=imNone)
void | load (std::istream &, int mask=imNone)
bool | hasField (const std::string &) const
size_type | size () const

## Protected Member Functions

void | commonInit ()
virtual std::ostream & | write (std::ostream &, const char *eol=0) const

## Protected Attributes

Header | m_header
Body | m_body
size_type | m_lines
size_type | m_size

## Friends

class | Body
class | MimeEntityLoader
std::ostream & | operator<< (std::ostream &, const MimeEntity &)

## Detailed Description

Represent a MIME entity.

## Constructor & Destructor Documentation

## ◆ MimeEntity() [1/3]

MimeEntity | ( |  | ) |

Blank MIME entity

Referenced by MimeEntity(), and size().

## ◆ MimeEntity() [2/3]

template<typename Iterator>

MimeEntity | ( | Iterator | beg,
|  | Iterator | end,
|  | int | mask = imNone )

Parse [beg, end] and build entity based on content

References load().

## ◆ MimeEntity() [3/3]

MimeEntity | ( | std::istream & |  | ) |

Parse istream and build entity based on content

References MimeEntity().

## Member Function Documentation

## ◆ copy()

template<typename OutputIt>

MimeEntity::size_type copy | ( | OutputIt | out | ) |

copy text rapresentation of the MimeEntity to the output iterator

## ◆ hasField()

bool hasField | ( | const std::string & |  | ) | const

helper functions: return header().hasField(str)

## ◆ load()

template<typename Iterator>

void load | ( | Iterator | bit,
|  | Iterator | eit,
|  | int | mask = imNone )

single step load functions: parse the input provided and build the entity

use load(..., mask) to ignore some part of the message when it's not needed saving memory space and execution time

Referenced by MimeEntity().

## ◆ size()

size_type size | ( |  | ) | const

returns entity size Note: this function is slow, use it if you really need

References MimeEntity().

The documentation for this class was generated from the following file:

- mimeentity.h